petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatDSFischer

Calculates an element of the B-subdifferential of the smoothed Fischer-Burmeister function for complementarity problems.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode MatDSFischer(Mat jac, Vec X, Vec Con,Vec XL, Vec XU, PetscReal mu,Vec T1, Vec T2,Vec Da, Vec Db, Vec Dm)

Collective on jac

### Input Parameters

| jac | - the jacobian of f at X
| X | - current point
| F | - constraint function evaluated at X
| XL | - lower bounds
| XU | - upper bounds
| mu | - smoothing parameter
| T1 | - work vector
| T2 | - work vector

### Output Parameter

| Da | - diagonal perturbation component of the result
| Db | - row scaling component of the result
| Dm | - derivative with respect to scaling parameter

### See Also

MatDFischer()

Level:developer
Location:src/tao/util/tao_util.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages